Bug 250027 - many problems with mounting removable USB media
many problems with mounting removable USB media
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-29 15:37 EDT by James Ralston
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ralston 2007-07-29 15:37:07 EDT
There are so many things wrong with how hal/gnome-mount/nautilus deal with
mounting USB media, I don't even know where to start.

I guess first is this, from bug 234716#c31:

> It's not "extra options", it's replacing the default options. So
> just add the option 'uid=500' (or whatever) in addition to utf8 and
> things should start working again.

That specifying additional mount options overrides the uid= option is completely

Second, the mount program has supported usernames/groups in lieu of uids/gids
for some time.  E.g.:

    mount -o uid=example,gid=example /dev/sdb1 /media/usbstick

But attempting to use usernames/groups within the hal/gnome-mount framework
results in a "argument to uid= is malformed" error.  So, something is
pre-parsing the mount options, and is applying bogus syntax checks.

Third, nautilus appears to have hidden the mount options dialog; it no longer
shows up as one of the tabs when I select the "Properties" option of a USB drive.

Fourth, gconf-editor failed to find where nautilus had stuffed the additional
mount options I had specified.  To find it, I had to break out find/grep and
then edit the raw XML files in ~/.gconf.

Fifth, the entire reason why people need to fiddle with mount options in the
first place is because the defaults for USB storage devices are poorly chosen. 
The noatime and nodiratime options should be the default.  For vfat filesystems,
the uid= and gid= options should be specified (currently only uid= is), as well
as umask=077.

Sixth, there should be some more intuitive way to influence the mount options
for a particular volume than by manually specifying them.  The things people
commonly want to do (e.g., use the utf8 option) should have dialog checkboxes
somewhere in the properties tab for the volume.

$ rpm -q nautilus hal gnome-mount
Comment 1 David Zeuthen 2007-07-29 23:27:51 EDT
Thanks for your feedback. You forgot to quote this from bug 234716 comment 31

> (Yes, I'll be the first to say that the gnome-mount nautilus extension is
> extraordinarily crappy and bad UI; I know because I wrote it. But at least it
> gets the job done.. Anyway, hopefully we'll have something better for Fedora 8.
> Thanks.)

I think it would also be useful if you read the man page and perhaps came up
with clarifications (it seems you didn't read it or at least didn't read the
part about where gconf keys are stored).

I'll hope to find time to work at this at some point. Probably not for F8 though.
Comment 2 Bug Zapper 2008-05-14 09:44:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:00:41 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.